Page MenuHomePhabricator

LivePreview: duplicate 'templates used on this page' list
Closed, ResolvedPublic

Description

Steps to reproduce this issue:

  1. Go to this page in edit mode with LivePrevew enabled.
  2. Click on 'Show preview', wait for the AJAX request to load.
  3. Scroll down to 'Templates used on this page' below the edit area: it shows multiple times the same list and the next section (hidden categories) is empty.

Reason:
https://git.wikimedia.org/blob/mediawiki%2Fcore.git/HEAD/resources%2Fsrc%2Fmediawiki.action%2Fmediawiki.action.edit.preview.js#L138
There are at least three elements using the 'mw-editfooter-list' class: the template list, the hidden categories used on the page, and the parser profiling data section.

Event Timeline

PeterBowman raised the priority of this task from to Needs Triage.
PeterBowman updated the task description. (Show Details)
PeterBowman changed Security from none to None.
PeterBowman added a subscriber: PeterBowman.
Aklapper triaged this task as Lowest priority.Dec 19 2014, 3:04 PM
Greenrd added a subscriber: Greenrd.Mar 1 2015, 9:42 PM

Change 199870 had a related patch set uploaded (by TheDJ):
LivePreview: Update the correct mw-editfooter-list

https://gerrit.wikimedia.org/r/199870

Change 199870 merged by jenkins-bot:
LivePreview: Update the correct mw-editfooter-list

https://gerrit.wikimedia.org/r/199870

TheDJ closed this task as Resolved.Mar 26 2015, 6:29 PM
TheDJ removed a project: Patch-For-Review.